Skip to content

Invoke a published command function and return its typed result.

POST
/api/workspace/commands/{functionKey}
curl --request POST \
--url https://example.com/api/workspace/commands/example \
--header 'Content-Type: application/json' \
--data '{ "Args": {}, "CorrelationId": "example" }'
  • None
functionKey
required
string

Callable command function key.

access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Optional command arguments and correlation identifier.

Request payload for synchronous command function invocation.

object
Args

Optional JSON arguments deserialized into the command argument type.

object
CorrelationId

Optional correlation identifier propagated to the function run.

string
nullable
Examplegenerated
{
"Args": {},
"CorrelationId": "example"
}

OK

Media typeapplication/json
object
Data

Result of a synchronous command function invocation.

object
RunId

Persisted function run identifier.

string
nullable
Message

Optional result summary produced by the command.

string
nullable
Result

Structured JSON result payload produced by the command.

object
DurationMs

Execution duration in milliseconds.

integer format: int64
nullable
CorrelationId

Correlation identifier of the run.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Result of a synchronous command function invocation.

object
RunId

Persisted function run identifier.

string
nullable
Message

Optional result summary produced by the command.

string
nullable
Result

Structured JSON result payload produced by the command.

object
DurationMs

Execution duration in milliseconds.

integer format: int64
nullable
CorrelationId

Correlation identifier of the run.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Result of a synchronous command function invocation.

object
RunId

Persisted function run identifier.

string
nullable
Message

Optional result summary produced by the command.

string
nullable
Result

Structured JSON result payload produced by the command.

object
DurationMs

Execution duration in milliseconds.

integer format: int64
nullable
CorrelationId

Correlation identifier of the run.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}